## dltlyse 1.1

=== requirements.txt ===
dlt

## dltlyse 0.9

=== debian/changelog ===
dltlyse (0.9-1) unstable; urgency=medium

  * Initial release

 -- Aigars Mahinovs <aigarius@debian.org>  Sun, 03 Feb 2019 13:22:09 +0100

=== debian/control ===
Source: dltlyse
Section: devel
Priority: optional
Maintainer: Aigars Mahinovs <aigarius@debian.org>
Build-Depends: debhelper (>= 11), dh-python, python-all, python-setuptools, python-dlt, python-mock
Standards-Version: 4.1.3
Homepage:https://github.com/bmwcarit/dltlyse
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-dltlyse
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-dlt
Description: DLT Analyser tool to programmatically extract data from DLT logs
 A Python module and a collection of plugins to support analysis of DLT traces.
 .
 This component provides a log and trace interface, based on the standardised
 protocol specified in the AUTOSAR standard 4.0 DLT. This program can be used to
 connect to process saved DLT log files with Python plugins.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=dlt

%:
	dh $@ --with python2 --buildsystem=pybuild

## dltlyse 1.1

=== debian/changelog ===
dltlyse (1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change source-only upload to allow testing migration. 

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Jan 2020 13:02:44 -0500

dltlyse (1.1-1) unstable; urgency=low

  * New upstream release
  * Update for Python 3 transition

 -- Aigars Mahinovs <aigarius@debian.org>  Sat, 07 Dec 2019 13:16:09 +0100

=== debian/control ===
Source: dltlyse
Section: python
Priority: optional
Maintainer: Aigars Mahinovs <aigarius@debian.org>
Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools, python3-dlt, python3-mock
Standards-Version: 4.4.1
Homepage:https://github.com/bmwcarit/dltlyse
X-Python3-Version: >= 3.6

Package: python3-dltlyse
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-dlt
Conflicts: python-dltlyse
Replaces: python-dltlyse
Provides: python-dltlyse
Description: DLT Analyser tool to programmatically extract data from DLT logs
 A Python module and a collection of plugins to support analysis of DLT traces.
 .
 This component provides a log and trace interface, based on the standardised
 protocol specified in the AUTOSAR standard 4.0 DLT. This program can be used to
 connect to process saved DLT log files with Python plugins.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=dltlyse

%:
	dh $@ --with python3 --buildsystem=pybuild

## dltlyse 1.4.3

=== debian/changelog ===
dltlyse (1.4.3-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 1.4.3 (Closes: #966926)
  * Add Salsa URL's
  * Swich to DebHelper 13

 -- Alexandre Detiste <tchet@debian.org>  Sat, 24 Aug 2024 20:07:54 +0200

=== debian/control ===
Source: dltlyse
Section: python
Priority: optional
Maintainer: Aigars Mahinovs <aigarius@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-dlt,
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: https://github.com/bmwcarit/dltlyse
Vcs-Git: https://salsa.debian.org/debian/dltlyse.git
Vcs-Browser: https://salsa.debian.org/debian/dltlyse

Package: python3-dltlyse
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-dlt
Description: DLT Analyser tool to programmatically extract data from DLT logs
 A Python module and a collection of plugins to support analysis of DLT traces.
 .
 This component provides a log and trace interface, based on the standardised
 protocol specified in the AUTOSAR standard 4.0 DLT. This program can be used to
 connect to process saved DLT log files with Python plugins.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=dltlyse

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dltlyse-$1\.tar\.gz/ \
  https://github.com/bmwcarit/dltlyse/tags .*/v?(\d\S*)\.tar\.gz
